// creator  : weidu.exe (version 23100)
// argument : CLGLIN01.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~CLGLIN01~

IF ~NumTimesTalkedTo(0)
InPartySlot(LastTalkedToBy,0)
~ THEN BEGIN 0 // from:
  SAY #35480 /* ~Are... are you the one I am to speak to? I am... I am not sure what to do and I ... and I do not usually seek the guidance of the church.~ */
  IF ~Global("JoinLathander","GLOBAL",1)
~ THEN GOTO 1
  IF ~Global("JoinHelm","GLOBAL",1)
~ THEN GOTO 2
  IF ~Global("JoinTalos","GLOBAL",1)
~ THEN GOTO 3
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #35483 /* ~I... I have always felt a kinship with the benevolence of Lathander, but today I am... I am unsure what to do. Please... don't say anything yet. Just... hear me out.~ */
  IF ~~ THEN GOTO 4
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #35484 /* ~The adherence to duty has always made me feel a kinship with Helm, though others do not seem to share my feelings. Listen, please, and I will tell you my problem.~ */
  IF ~~ THEN GOTO 4
END

IF ~~ THEN BEGIN 3 // from: 0.2
  SAY #35485 /* ~The chaos of my life has led me to Talos, though I do not know if anyone can help me. Please, just listen and I will tell you my problem.~ */
  IF ~~ THEN GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 3.0 2.0 1.0
  SAY #35488 /* ~My wife and I... were always close, but lately my business has taken much of my time. It has been difficult, and I knew she was unhappy but... I...~ */
  IF ~~ THEN GOTO 5
END

IF ~~ THEN BEGIN 5 // from: 4.0
  SAY #35489 /* ~I have found my wife in the arms of another. I am made a cuckold, and I don't know what to do. She was my guiding light, and now I am aimless. What do I do? Please, <PRO_SIRMAAM>, what do I do?~ */
  IF ~~ THEN REPLY #35496 /* ~The answer is obvious. Your honor has been maligned. Kill them both for their trespass!~ */ DO ~SetGlobal("Cuckold","GLOBAL",1)
~ GOTO 6
  IF ~~ THEN REPLY #35497 /* ~She will realize where she belongs, I am sure. Do not make a crisis of this.~ */ DO ~SetGlobal("Cuckold","GLOBAL",2)
~ GOTO 8
  IF ~~ THEN REPLY #35498 /* ~The sanctity of your vows are the highest duty. She must be reminded of this.~ */ DO ~SetGlobal("Cuckold","GLOBAL",3)
~ GOTO 9
  IF ~~ THEN REPLY #35499 /* ~Forgive her, and let her move on if the time has come. It may be best.~ */ DO ~SetGlobal("Cuckold","GLOBAL",4)
~ GOTO 10
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #35500 /* ~Kill... kill them? Are you sure this is the right path? I do not dispute that some laws consider infidelity a crime, but is such a punishment deserved?~ */
  IF ~Global("JoinLathander","GLOBAL",1)
~ THEN REPLY #35503 /* ~This is how I have interpreted the word of Lathander. Do you dispute my wisdom?~ */ GOTO 7
  IF ~Global("JoinHelm","GLOBAL",1)
~ THEN REPLY #35504 /* ~I believe Helm decrees it through my interpretation of his word. Do you dispute this?~ */ GOTO 7
  IF ~Global("JoinTalos","GLOBAL",1)
~ THEN REPLY #35506 /* ~Talos demands nothing less! You have asked and I have told!~ */ GOTO 7
  IF ~~ THEN REPLY #35508 /* ~Perhaps it is a bit harsh. Do nothing, and I am sure she will come back to you.~ */ DO ~SetGlobal("Cuckold","GLOBAL",2)
~ GOTO 8
  IF ~~ THEN REPLY #35509 /* ~Then speak to her of duty, and she will realize she must obey her vows.~ */ DO ~SetGlobal("Cuckold","GLOBAL",3)
~ GOTO 9
  IF ~~ THEN REPLY #35510 /* ~Then forgive her and move on. Nothing lasts forever.~ */ DO ~SetGlobal("Cuckold","GLOBAL",4)
~ GOTO 10
END

IF ~~ THEN BEGIN 7 // from: 6.2 6.1 6.0
  SAY #35511 /* ~Then that is the path I shall take. Yes, it becomes so clear to me now. I thank you, <PRO_SIRMAAM>, you have helped me make the decisions I knew I must.~ */
  IF ~Global("JoinLathander","GLOBAL",1)
~ THEN DO ~SetGlobalTimer("Clglin01Return","GLOBAL",ONE_DAY)
EscapeArea()
~ UNSOLVED_JOURNAL #55572 /* ~Cleric Stronghold: how to heal a cuckold?

I have advised Glinden that he should kill his wife for her infidelity. Her crime is unforgivable.~ */ GOTO 11
  IF ~Global("JoinHelm","GLOBAL",1)
~ THEN DO ~SetGlobalTimer("Clglin01Return","GLOBAL",ONE_DAY)
EscapeArea()
~ UNSOLVED_JOURNAL #55572 /* ~Cleric Stronghold: how to heal a cuckold?

I have advised Glinden that he should kill his wife for her infidelity. Her crime is unforgivable.~ */ GOTO 11
  IF ~Global("JoinTalos","GLOBAL",1)
~ THEN DO ~SetGlobalTimer("Clglin01Return","GLOBAL",ONE_DAY)
EscapeArea()
~ UNSOLVED_JOURNAL #55572 /* ~Cleric Stronghold: how to heal a cuckold?

I have advised Glinden that he should kill his wife for her infidelity. Her crime is unforgivable.~ */ GOTO 11
END

IF ~~ THEN BEGIN 8 // from: 6.3 5.1
  SAY #35512 /* ~Do nothing? Yes, perhaps it is a minor tryst, and not the crisis I had imagined. She will realize who is important. She will. Thank you.~ */
  IF ~Global("JoinLathander","GLOBAL",1)
~ THEN DO ~SetGlobalTimer("Clglin01Return","GLOBAL",ONE_DAY)
EscapeArea()
~ UNSOLVED_JOURNAL #55571 /* ~Cleric Stronghold: how to heal a cuckold?

I have advised Glinden that he should ignore his wife's infidelity. His marriage will continue despite this simple indiscretion.~ */ GOTO 11
  IF ~Global("JoinHelm","GLOBAL",1)
~ THEN DO ~SetGlobalTimer("Clglin01Return","GLOBAL",ONE_DAY)
EscapeArea()
~ GOTO 11
  IF ~Global("JoinTalos","GLOBAL",1)
~ THEN DO ~SetGlobalTimer("Clglin01Return","GLOBAL",ONE_DAY)
EscapeArea()
~ GOTO 11
END

IF ~~ THEN BEGIN 9 // from: 6.4 5.2
  SAY #35514 /* ~Duty is all. Yes, I had thought as much. She will realize that her place is within the confines of the vows we swore. Thank you, <PRO_SIRMAAM>, I feel much better now.~ */
  IF ~Global("JoinLathander","GLOBAL",1)
~ THEN DO ~SetGlobalTimer("Clglin01Return","GLOBAL",ONE_DAY)
EscapeArea()
~ UNSOLVED_JOURNAL #55573 /* ~Cleric Stronghold: how to heal a cuckold?

I have advised Glinden that he should remind his wife of her duty to their vows. She will understand that duty is all-important.~ */ GOTO 11
  IF ~Global("JoinHelm","GLOBAL",1)
~ THEN DO ~SetGlobalTimer("Clglin01Return","GLOBAL",ONE_DAY)
EscapeArea()
~ UNSOLVED_JOURNAL #55573 /* ~Cleric Stronghold: how to heal a cuckold?

I have advised Glinden that he should remind his wife of her duty to their vows. She will understand that duty is all-important.~ */ GOTO 11
  IF ~Global("JoinTalos","GLOBAL",1)
~ THEN DO ~SetGlobalTimer("Clglin01Return","GLOBAL",ONE_DAY)
EscapeArea()
~ UNSOLVED_JOURNAL #55573 /* ~Cleric Stronghold: how to heal a cuckold?

I have advised Glinden that he should remind his wife of her duty to their vows. She will understand that duty is all-important.~ */ GOTO 11
END

IF ~~ THEN BEGIN 10 // from: 6.5 5.3
  SAY #35517 /* ~Perhaps... perhaps that is for the best. I would have her happy, wherever she chooses to be. Thank you, <PRO_SIRMAAM>, this was a difficult realization to come to.~ */
  IF ~Global("JoinLathander","GLOBAL",1)
~ THEN DO ~SetGlobalTimer("Clglin01Return","GLOBAL",ONE_DAY)
EscapeArea()
~ UNSOLVED_JOURNAL #55574 /* ~Cleric Stronghold: how to heal a cuckold?

I have advised Glinden that he should release his wife from their vows if she would rather be elsewhere. It is the best thing for both of them.~ */ GOTO 11
  IF ~Global("JoinHelm","GLOBAL",1)
~ THEN DO ~SetGlobalTimer("Clglin01Return","GLOBAL",ONE_DAY)
EscapeArea()
~ UNSOLVED_JOURNAL #55574 /* ~Cleric Stronghold: how to heal a cuckold?

I have advised Glinden that he should release his wife from their vows if she would rather be elsewhere. It is the best thing for both of them.~ */ GOTO 11
  IF ~Global("JoinTalos","GLOBAL",1)
~ THEN DO ~SetGlobalTimer("Clglin01Return","GLOBAL",ONE_DAY)
EscapeArea()
~ UNSOLVED_JOURNAL #55574 /* ~Cleric Stronghold: how to heal a cuckold?

I have advised Glinden that he should release his wife from their vows if she would rather be elsewhere. It is the best thing for both of them.~ */ GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 10.2 10.1 10.0 9.2 9.1 9.0 8.2 8.1 8.0 7.2 7.1 7.0
  SAY #35521 /* ~Your wisdom has helped. I shall think well of the church.~ */
  IF ~~ THEN EXIT
END

IF ~Global("Cuckold","GLOBAL",4)
~ THEN BEGIN 12 // from:
  SAY #35554 /* ~You! Thank you ever so much! You have saved my marriage! My wife, she was so touched that I cared for her happiness over my own. She has come back to me!~ */
  IF ~~ THEN GOTO 13
END

IF ~~ THEN BEGIN 13 // from: 12.0
  SAY #35557 /* ~We are happy once more and we owe it to you. Thank you.~ */
  IF ~~ THEN DO ~SetGlobal("Cuckold","GLOBAL",5)
EscapeArea()
~ FLAGS 128 EXIT
END

IF ~Global("Cuckold","GLOBAL",3)
~ THEN BEGIN 14 // from:
  SAY #35565 /* ~I have done as you said, and my wife and I are together once more. She was shamed by her breach of our vows, so we are united in our duty to the sanctity of our commitment again.~ */
  IF ~~ THEN GOTO 15
END

IF ~~ THEN BEGIN 15 // from: 14.0
  SAY #35568 /* ~There is not the spark we once had, but this is a more realistic pairing now. We have put out the fires of our youth. Thank you again.~ */
  IF ~~ THEN DO ~SetGlobal("Cuckold","GLOBAL",6)
EscapeArea()
~ EXIT
END

IF ~Global("Cuckold","GLOBAL",2)
~ THEN BEGIN 16 // from:
  SAY #35570 /* ~I... I have done nothing and... and the situation with my wife is unchanged. She grows ever distant. I... thought you should know.~ */
  IF ~~ THEN GOTO 17
END

IF ~~ THEN BEGIN 17 // from: 16.0
  SAY #35571 /* ~Goodbye. I shall not enter these halls again.~ */
  IF ~~ THEN DO ~SetGlobal("Cuckold","GLOBAL",7)
EscapeArea()
~ EXIT
END

IF ~Global("Cuckold","GLOBAL",1)
Global("JoinTalos","GLOBAL",1)
~ THEN BEGIN 18 // from:
  SAY #35573 /* ~I... I have done as you advised. She... they are dead. It was... satisfying. Thank you, I owe you ... so much. Perhaps I shall repay you... some night.~ */
  IF ~~ THEN DO ~SetGlobal("Cuckold","GLOBAL",8)
SetGlobal("Clardi01Spawn","GLOBAL",1)
EscapeArea()
~ EXIT
END

IF ~Global("Cuckold","GLOBAL",1)
OR(2)
Global("JoinHelm","GLOBAL",1)
Global("JoinLathander","GLOBAL",1)
~ THEN BEGIN 19 // from:
  SAY #37867 /* ~I... I have done as you advised. She... they are dead. It was... satisfying. Thank you, I owe you ... so much. Perhaps I shall repay you... some night.~ */
  IF ~~ THEN DO ~SetGlobal("Cuckold","GLOBAL",9)
EscapeArea()
~ EXIT
END
